prem dubey prem dubey - 4 months ago 24
Java Question

An error occurred configuring root project 'BoomMenu-master'

When I am importing the project, I am getting the following error:


Error:A problem occurred configuring root project 'BoomMenu-master'.

> Could not resolve all dependencies for configuration ':classpath'.

> Could not resolve com.jfrog.bintray.gradle:gradle-bintray-plugin:1.4.

Required by: :BoomMenu-master:unspecified

> No cached version of com.jfrog.bintray.gradle:gradle-bintray-plugin:1.4 available for offline mode.

> Could not resolve com.github.dcendents:android-maven-gradle-plugin:1.3. Required by:
:BoomMenu-master:unspecified
> No cached version of com.github.dcendents:android-maven-gradle-plugin:1.3 available for
offline mode.

Answer

There are some solution which i had applied previously that , 1 . Try to rebuild your project for 2 to 3 times. 2 . Open your build.gradle file and then add line at top that these lines ,here you must choose build gradle version according to your sdk .

 dependencies {
        classpath 'com.android.tools.build:gradle:1.3.0'
        classpath 'com.jakewharton.sdkmanager:gradle-plugin:0.10.+'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }

3. Open your library build.gradle file say in yours you must open boommenu file . add these lines at top ,

apply plugin: 'com.android.application'

4.Try to changed proxyPort to 8080 and used jcenter instead of Maven. But i had to apply expeption to use HTTP instead of HTTPS. This is what i have in my gradle.build for build script and allprojects

buildscript {
repositories {
    jcenter {
        url "http://jcenter.bintray.com/"
    }
  }
}

allprojects {
repositories {
    jcenter {
        url "http://jcenter.bintray.com/"
    }
  }
}
Comments